## visad.data.hdfeos
Class ShapeSet

    java.lang.Object
      visad.data.hdfeos.ShapeSet

public class ShapeSet
extends Object

Constructor Summary
`(package private)` `ShapeSet(VariableSet varSet)`

Method Summary
`VariableSet` `get1DVariables()`
`Shape` `getElement(int ii)`
`(package private) Enumeration` `getEnum()`
`int` `getSize()`
`boolean` `isMemberOf(NamedDimension dim)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShapeSet

    ShapeSet(VariableSet varSet)

Method Detail

### getElement

    public Shape getElement(int ii)

### getSize

    public int getSize()

### getEnum

    Enumeration getEnum()

### isMemberOf

    public boolean isMemberOf(NamedDimension dim)

### get1DVariables

    public VariableSet get1DVariables()

### toString

    public String toString()